org.eclipse.jgit.errors

## Class TranslationStringMissingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.TranslationBundleException
        - - org.eclipse.jgit.errors.TranslationStringMissingException

All Implemented Interfaces:
  Serializable

    public class TranslationStringMissingException
    extends TranslationBundleException

This exception will be thrown when a translation string for a translation bundle and locale is missing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TranslationStringMissingException(Class bundleClass, Locale locale, String key, Exception cause)` Construct a `TranslationStringMissingException` for the specified bundle class, locale and translation key

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`

### Methods inherited from class org.eclipse.jgit.errors.TranslationBundleException

`getBundleClass, getLocale`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TranslationStringMissingException

    public TranslationStringMissingException(Class bundleClass,
                                             Locale locale,
                                             String key,
                                             Exception cause)

Construct a `TranslationStringMissingException` for the specified bundle class, locale and translation key

Parameters:
  `bundleClass` - the bundle class for which a translation string was missing
  `locale` - the locale for which a translation string was missing
  `key` - the key of the missing translation string
  `cause` - the original exception thrown from the `ResourceBundle.getString(String)` method.

### Method Detail

#### getKey

    public String getKey()

Returns:
  the key of the missing translation string